server {
    listen 80;
    
    # SSL (wichtig!)
    server_name dispo.contado.de _http._;
    
    location /dispo-dashboard {
        proxy_pass http://nginx-proxy-manager:8000/dispo-dashboard.html;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
    }
    
    location / {
        # Weiterleitung zu DispoManager API
        proxy_pass http://nginx-proxy-manager:8000/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}
